## ros-rolling-pilz-industrial-motion-planner 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(pilz_industrial_motion_planner)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)
# TODO(henning): Enable when this is available
# find_package(joint_limits_interface REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_ros_move_group REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_eigen_kdl REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_kdl REQUIRED)
find_package(tf2_ros REQUIRED)

find_package(orocos_kdl REQUIRED)
find_package(Boost REQUIRED COMPONENTS)

# TODO(henning): Remove/Port
# if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
#   find_package(code_coverage REQUIRED)
#   append_coverage_compiler_flags()
# endif()
#
# ################
# ## Clang tidy ##
# ################
# if(CATKIN_ENABLE_CLANG_TIDY)
#   find_program(
#     CLANG_TIDY_EXE
#     NAMES "clang-tidy"
#     DOC "Path to clang-tidy executable"
#   )
#   if(NOT CLANG_TIDY_EXE)
#     message(FATAL_ERROR "clang-tidy not found.")
#   else()
#     message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
#     set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
#   endif()
# endif()

###########
## Build ##
###########
include_directories(
  include
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  Eigen3
  eigen3_cmake_module
  # joint_limits_interface
  geometry_msgs
  moveit_core
  moveit_msgs
  moveit_ros_move_group
  moveit_ros_planning
  moveit_ros_planning_interface
  pluginlib
  rclcpp
  tf2
  tf2_eigen
  tf2_eigen_kdl
  tf2_geometry_msgs
  tf2_kdl
  tf2_ros
  orocos_kdl
  Boost
)


###############
## Libraries ##
###############

add_library(planning_context_loader_base SHARED
  src/planning_context_loader.cpp
)
ament_target_dependencies(planning_context_loader_base ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_library(joint_limits_common SHARED
  src/joint_limits_aggregator.cpp
  src/joint_limits_container.cpp
  src/joint_limits_validator.cpp
  src/limits_container.cpp
  src/cartesian_limit.cpp
  src/cartesian_limits_aggregator.cpp
)
ament_target_dependencies(joint_limits_common ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_library(trajectory_generation_common SHARED
  src/trajectory_functions.cpp
  src/trajectory_generator.cpp
  src/trajectory_blender_transition_window.cpp
)
ament_target_dependencies(trajectory_generation_common ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_library(command_list_manager SHARED
  src/command_list_manager.cpp
  src/plan_components_builder.cpp
)
ament_target_dependencies(command_list_manager ${THIS_PACKAGE_INCLUDE_DEPENDS})

#############
## Plugins ##
#############

add_library(${PROJECT_NAME} SHARED
  src/${PROJECT_NAME}.cpp
)
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(${PROJECT_NAME}
  planning_context_loader_base
  joint_limits_common)

add_library(planning_context_loader_ptp SHARED
  src/planning_context_loader_ptp.cpp
  src/trajectory_generator_ptp.cpp
  src/velocity_profile_atrap.cpp
)
ament_target_dependencies(planning_context_loader_ptp ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(planning_context_loader_ptp planning_context_loader_base joint_limits_common trajectory_generation_common)

add_library(planning_context_loader_lin SHARED
  src/planning_context_loader_lin.cpp
  src/trajectory_generator_lin.cpp
  src/velocity_profile_atrap.cpp
)
ament_target_dependencies(planning_context_loader_lin ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(planning_context_loader_lin planning_context_loader_base joint_limits_common trajectory_generation_common)

add_library(planning_context_loader_circ SHARED
  src/planning_context_loader_circ.cpp
  src/trajectory_generator_circ.cpp
  src/path_circle_generator.cpp
)
ament_target_dependencies(planning_context_loader_circ ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(planning_context_loader_circ planning_context_loader_base joint_limits_common trajectory_generation_common)


add_library(sequence_capability SHARED
  src/move_group_sequence_action.cpp
  src/move_group_sequence_service.cpp
)
ament_target_dependencies(sequence_capability ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(sequence_capability joint_limits_common command_list_manager trajectory_generation_common)

#############
## Install ##
#############
pluginlib_export_plugin_description_file(moveit_core plugins/pilz_industrial_motion_planner_plugin_description.xml)
pluginlib_export_plugin_description_file(move_group plugins/sequence_capability_plugin_description.xml)
pluginlib_export_plugin_description_file(pilz_industrial_motion_planner plugins/planning_context_plugin_description.xml)

## Mark libraries for installation
install(
  TARGETS
    ${PROJECT_NAME}
    joint_limits_common
    planning_context_loader_base
    planning_context_loader_ptp
    planning_context_loader_lin
    planning_context_loader_circ
    command_list_manager
    sequence_capability
    trajectory_generation_common
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(
  include
)
ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  # Include Tests
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-pilz-industrial-motion-planner (2.4.0-1focal) focal; urgency=high

  * Remove 'using namespace' from header files. (#994 <https://github.com/ros-planning/moveit2/issues/994>)
  * Fix missing ament_cmake_gtest dependency (#981 <https://github.com/ros-planning/moveit2/issues/981>)
  * Remove some Maintainers from Pilz Planner (#971 <https://github.com/ros-planning/moveit2/issues/971>)
  * Fix usage of boost placeholder (#958 <https://github.com/ros-planning/moveit2/issues/958>)
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * Remove '-W*' options from cmake files (#2903 <https://github.com/ros-planning/moveit2/issues/2903>)
  * Add test for pilz planner with attached objects (#2878 <https://github.com/ros-planning/moveit2/issues/2878>)
    * Add test case for #2824 <https://github.com/ros-planning/moveit2/issues/2824>
    Co-authored-by: Cristian Beltran <mailto:cristianbehe@gmail.com>
    Co-authored-by: Joachim Schleicher <mailto:joachimsl@gmx.de>
    Co-authored-by: jschleicher <mailto:j.schleicher@pilz.de>
  * Contributors: Abishalini, Cory Crean, Leroy Rügemer, Tyler Weaver, Wolf Vollprecht, cambel, jschleicher

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.3.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.3.1-1focal) focal; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Use CallbackGroup for MoveGroupSequenceAction
  * PILZ: Build fixups, silence warnings, fix unit tests
  * PILZ: Migrate and Restructure test directory
  * PILZ: Migrate planner and testutils packages to ROS 2
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Consider attached bodies in Pilz planner #2773 <https://github.com/ros-planning/moveit/issues/2773> (#2824 <https://github.com/ros-planning/moveit/issues/2824>)
    - Remove convertToRobotTrajectory() and integrate its line of code into setSuccessResponse()
    - Pass the final start_state into setSuccessResponse()
  * Fix Pilz planner's collision detection (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
    We need to pass the current PlanningScene down to the actual collision checking methods
  * Add planning_pipeline_id to MotionSequence service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
    * Add planning_pipeline_id to MotionSequence action and service
    * check for empty request
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Improve readability of comment
  * Contributors: David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Parthasarathy Bana, Robert Haschke, Sebastian Jahr, Sencer Yazıcı, aa-tom, cambel, predystopic-dev, pvanlaar
  * [feature] Add Pilz industrial motion planner (#1893 <https://github.com/tylerjw/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Immanuel Martini, Joachim Schleicher, rfeistenauer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Dec 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-resources-prbt-moveit-config, ros-rolling-moveit-resources-prbt-pg70-support, ros-rolling-moveit-resources-prbt-support, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl, ros-rolling-pilz-industrial-motion-planner-testutils, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-pilz-industrial-motion-planner//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-pilz-industrial-motion-planner 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.10.2)
-project(pilz_industrial_motion_planner)
+cmake_minimum_required(VERSION 3.22)
+project(pilz_industrial_motion_planner LANGUAGES CXX)
 
 # Common cmake code applied to all moveit packages
 find_package(moveit_common REQUIRED)
@@ -10,6 +10,7 @@
 find_package(Eigen3 REQUIRED)
 # TODO(henning): Enable when this is available
 # find_package(joint_limits_interface REQUIRED)
+find_package(generate_parameter_library REQUIRED)
 find_package(geometry_msgs REQUIRED)
 find_package(moveit_core REQUIRED)
 find_package(moveit_msgs REQUIRED)
@@ -62,6 +63,7 @@
   Eigen3
   eigen3_cmake_module
   # joint_limits_interface
+  generate_parameter_library
   geometry_msgs
   moveit_core
   moveit_msgs
@@ -85,9 +87,15 @@
 ## Libraries ##
 ###############
 
+generate_parameter_library(
+  cartesian_limits_parameters # cmake target name for the parameter library
+  src/cartesian_limits_parameters.yaml # path to input yaml file
+)
+
 add_library(planning_context_loader_base SHARED
   src/planning_context_loader.cpp
 )
+target_link_libraries(planning_context_loader_base cartesian_limits_parameters)
 ament_target_dependencies(planning_context_loader_base ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(joint_limits_common SHARED
@@ -95,9 +103,8 @@
   src/joint_limits_container.cpp
   src/joint_limits_validator.cpp
   src/limits_container.cpp
-  src/cartesian_limit.cpp
-  src/cartesian_limits_aggregator.cpp
-)
+)
+target_link_libraries(joint_limits_common cartesian_limits_parameters)
 ament_target_dependencies(joint_limits_common ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(trajectory_generation_common SHARED
@@ -105,23 +112,25 @@
   src/trajectory_generator.cpp
   src/trajectory_blender_transition_window.cpp
 )
+target_link_libraries(trajectory_generation_common cartesian_limits_parameters)
 ament_target_dependencies(trajectory_generation_common ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 add_library(command_list_manager SHARED
   src/command_list_manager.cpp
   src/plan_components_builder.cpp
 )
+target_link_libraries(command_list_manager trajectory_generation_common joint_limits_common)
 ament_target_dependencies(command_list_manager ${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 #############
 ## Plugins ##
 #############
 
-add_library(${PROJECT_NAME} SHARED
-  src/${PROJECT_NAME}.cpp
-)
-ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})
-target_link_libraries(${PROJECT_NAME}
+add_library(pilz_industrial_motion_planner SHARED
+  src/pilz_industrial_motion_planner.cpp
+)
+ament_target_dependencies(pilz_industrial_motion_planner ${THIS_PACKAGE_INCLUDE_DEPENDS})
+target_link_libraries(pilz_industrial_motion_planner
   planning_context_loader_base
   joint_limits_common)
 
@@ -161,13 +170,14 @@
 ## Install ##
 #############
 pluginlib_export_plugin_description_file(moveit_core plugins/pilz_industrial_motion_planner_plugin_description.xml)
-pluginlib_export_plugin_description_file(move_group plugins/sequence_capability_plugin_description.xml)
+pluginlib_export_plugin_description_file(moveit_ros_move_group plugins/sequence_capability_plugin_description.xml)
 pluginlib_export_plugin_description_file(pilz_industrial_motion_planner plugins/planning_context_plugin_description.xml)
 
 ## Mark libraries for installation
 install(
   TARGETS
-    ${PROJECT_NAME}
+    pilz_industrial_motion_planner
+    cartesian_limits_parameters
     joint_limits_common
     planning_context_loader_base
     planning_context_loader_ptp
@@ -176,23 +186,23 @@
     command_list_manager
     sequence_capability
     trajectory_generation_common
-  EXPORT ${PROJECT_NAME}Targets
+  EXPORT pilz_industrial_motion_plannerTargets
   LIBRARY DESTINATION lib
   ARCHIVE DESTINATION lib
   RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
+  INCLUDES DESTINATION include/pilz_industrial_motion_planner
 )
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/pilz_industrial_motion_planner
 )
 
 ament_export_include_directories(
-  include
-)
-ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
-ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
+  include/pilz_industrial_motion_planner
+)
+ament_export_targets(pilz_industrial_motion_plannerTargets HAS_LIBRARY_TARGET)
+ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS} orocos_kdl_vendor)
 
 if(BUILD_TESTING)
   # Include Tests
@@ -202,7 +212,6 @@
 
   # These don't pass yet, disable them for now
   set(ament_cmake_copyright_FOUND TRUE)
-  set(ament_cmake_cppcheck_FOUND TRUE)
   set(ament_cmake_cpplint_FOUND TRUE)
   set(ament_cmake_flake8_FOUND TRUE)
   set(ament_cmake_uncrustify_FOUND TRUE)

=== test/unit_tests/CMakeLists.txt ===
set(UNIT_TEST_SOURCEFILES
  unittest_pilz_industrial_motion_planner_direct
  unittest_velocity_profile_atrap
  unittest_trajectory_generator
  unittest_trajectory_functions
  unittest_trajectory_blender_transition_window
  unittest_trajectory_generator_common
  unittest_trajectory_generator_circ
  unittest_trajectory_generator_lin
  unittest_trajectory_generator_ptp
  unittest_pilz_industrial_motion_planner
  unittest_joint_limit
  unittest_joint_limits_aggregator
  unittest_joint_limits_container
  unittest_joint_limits_validator
  unittest_planning_context_loaders
  unittest_planning_context
  unittest_get_solver_tip_frame
)

# Direct Command Planner Unit Test
ament_add_gtest(unittest_pilz_industrial_motion_planner_direct
  src/unittest_pilz_industrial_motion_planner_direct.cpp)
target_link_libraries(unittest_pilz_industrial_motion_planner_direct
  ${PROJECT_NAME}
  planning_context_loader_ptp
)

# Asymmetric Trapezoidal Velocity Profile Unit Test
ament_add_gtest(unittest_velocity_profile_atrap
  src/unittest_velocity_profile_atrap.cpp
  ${CMAKE_SOURCE_DIR}/src/velocity_profile_atrap.cpp)
target_link_libraries(unittest_velocity_profile_atrap ${PROJECT_NAME})

# Trajectory Generator Unit Test
ament_add_gtest(unittest_trajectory_generator
  src/unittest_trajectory_generator.cpp
  ${CMAKE_SOURCE_DIR}/src/trajectory_generator.cpp)
target_link_libraries(unittest_trajectory_generator ${PROJECT_NAME})

# Trajectory Functions Unit Test
ament_add_gtest_executable(unittest_trajectory_functions
  src/unittest_trajectory_functions.cpp
)
ament_target_dependencies(unittest_trajectory_functions Boost)
target_link_libraries(unittest_trajectory_functions
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  joint_limits_common
)
add_ros_test(launch/unittest_trajectory_functions.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# unittest for trajectory blender transition window
ament_add_gtest_executable(unittest_trajectory_blender_transition_window
  src/unittest_trajectory_blender_transition_window.cpp
  ${CMAKE_SOURCE_DIR}/src/trajectory_blender_transition_window.cpp
)
ament_target_dependencies(unittest_trajectory_blender_transition_window pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_blender_transition_window
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_lin
)
add_ros_test(launch/unittest_trajectory_blender_transition_window.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_common
  src/unittest_trajectory_generator_common.cpp
)
target_link_libraries(unittest_trajectory_generator_common
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_lin
  planning_context_loader_ptp
  planning_context_loader_circ
)
add_ros_test(launch/unittest_trajectory_generator_common.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator circ Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_circ
  src/unittest_trajectory_generator_circ.cpp
)
ament_target_dependencies(unittest_trajectory_generator_circ pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_generator_circ
  ${PROJECT_NAME}_test_utils
  planning_context_loader_circ
)
add_ros_test(launch/unittest_trajectory_generator_circ.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator lin Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_lin
  src/unittest_trajectory_generator_lin.cpp
)
ament_target_dependencies(unittest_trajectory_generator_lin pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_generator_lin
  ${PROJECT_NAME}_test_utils
  planning_context_loader_lin
)
add_ros_test(launch/unittest_trajectory_generator_lin.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator ptp Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_ptp
  src/unittest_trajectory_generator_ptp.cpp
)
target_link_libraries(unittest_trajectory_generator_ptp
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_ptp
)
add_ros_test(launch/unittest_trajectory_generator_ptp.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# Command Planner Unit Test
ament_add_gtest_executable(unittest_pilz_industrial_motion_planner src/unittest_pilz_industrial_motion_planner.cpp)
target_link_libraries(unittest_pilz_industrial_motion_planner ${PROJECT_NAME})
add_ros_test(launch/unittest_pilz_industrial_motion_planner.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimits Unit Test
ament_add_gtest_executable(unittest_joint_limit src/unittest_joint_limit.cpp)
target_link_libraries(unittest_joint_limit joint_limits_common)
add_ros_test(launch/unittest_joint_limit.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimitsAggregator Unit Test
ament_add_gtest_executable(unittest_joint_limits_aggregator src/unittest_joint_limits_aggregator.cpp)
target_link_libraries(unittest_joint_limits_aggregator joint_limits_common)
add_ros_test(launch/unittest_joint_limits_aggregator.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimitsContainer Unit Test
ament_add_gtest(unittest_joint_limits_container
  src/unittest_joint_limits_container.cpp)
target_link_libraries(unittest_joint_limits_container joint_limits_common)

# JointLimitsValidator Unit Test
ament_add_gtest(unittest_joint_limits_validator
  src/unittest_joint_limits_validator.cpp)
target_link_libraries(unittest_joint_limits_validator joint_limits_common)

# PlanningContextLoaderPTP Unit Test
ament_add_gtest_executable(unittest_planning_context_loaders
  src/unittest_planning_context_loaders.cpp
)
target_link_libraries(unittest_planning_context_loaders
  ${PROJECT_NAME}
  ${PROJECT_NAME}_test_utils
)
add_ros_test(launch/unittest_planning_context_loaders.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# PlanningContext Unit Test (Typed test)
ament_add_gtest_executable(unittest_planning_context
  src/unittest_planning_context.cpp
)
target_link_libraries(unittest_planning_context
  ${PROJECT_NAME}
  ${PROJECT_NAME}_test_utils
  planning_context_loader_lin
  planning_context_loader_ptp
  planning_context_loader_circ
)
add_ros_test(launch/unittest_planning_context.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# GetTipFrames Unit Test
ament_add_gmock(unittest_get_solver_tip_frame src/unittest_get_solver_tip_frame.cpp)
target_link_libraries(unittest_get_solver_tip_frame ${PROJECT_NAME})

install(TARGETS ${UNIT_TEST_SOURCEFILES}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-rolling-pilz-industrial-motion-planner (2.8.0-2jammy) jammy; urgency=high

  * Fx class_loader warnings in PILZ unittests (#2296 <https://github.com/ros-planning/moveit2/issues/2296>)
  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Pilz multi-group incompatibility (#1856 <https://github.com/ros-planning/moveit2/issues/1856>)
  * Enhance PILZ service request checks (#2087 <https://github.com/ros-planning/moveit2/issues/2087>)
  * Contributors: Marco Magri, Sebastian Jahr, Yang Lin

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.7.4-2jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * PILZ: Throw if IK solver doesn't exist (#2082 <https://github.com/ros-planning/moveit2/issues/2082>)
    * Throw if IK solver doesn't exist
    * Format
  * Contributors: Sebastian Jahr, Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.7.1-2jammy) jammy; urgency=high

  * Remove "new" from smart pointer instantiation (#2019 <https://github.com/ros-planning/moveit2/issues/2019>)
  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke, Shobuj Paul

 -- Christian Henkel <c.henkel@pilz.de>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-pilz-industrial-motion-planner (2.7.0-2jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wunused-lambda-capture
  * fix: resolve bugs in MoveGroupSequenceAction class (main branch) (#1797 <https://github.com/ros-planning/moveit2/issues/1797>)
    * fix: resolve bugs in MoveGroupSequenceAction class
    * style: adopt .clang-format
    Co-authored-by: Marco Magri <mailto:marco.magri@fraunhofer.it>
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Cleanup lookup of planning pipelines in MoveItCpp (#1710 <https://github.com/ros-planning/moveit2/issues/1710>)
    * Revert "Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>)"
    * Cleanup lookup of planning pipelines
    Remove MoveItCpp::getPlanningPipelineNames(), which was obviously intended initially to provide a planning-group-based filter for all available planning pipelines: A pipeline was discarded for a group, if there were no planner_configs defined for that group on the parameter server.
    As pointed out in #1522 <https://github.com/ros-planning/moveit2/issues/1522>, only OMPL actually explicitly declares planner_configs on the parameter server.
    To enable all other pipelines as well (and thus circumventing the original filter mechanism), #1522 <https://github.com/ros-planning/moveit2/issues/1522> introduced empty dummy planner_configs for all other planners as well (CHOMP + Pilz).
    This, obviously, renders the whole filter mechanism useless. Thus, here we just remove the function getPlanningPipelineNames() and the corresponding member groups_pipelines_map_.
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Marco Magri, Robert Haschke, Sameer Gupta

 -- Christian Henkel <c.henkel@pilz.de>  Sat, 28 Jan 2023 23:00:00 -0000



=== debian/control ===
Source: ros-rolling-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-generate-parameter-library, ros-rolling-geometry-msgs, ros-rolling-launch-param-builder <!nocheck>, ros-rolling-moveit-common, ros-rolling-moveit-configs-utils <!nocheck>, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-panda-moveit-config <!nocheck>, ros-rolling-moveit-resources-prbt-moveit-config <!nocheck>, ros-rolling-moveit-resources-prbt-pg70-support <!nocheck>, ros-rolling-moveit-resources-prbt-support <!nocheck>, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl-vendor, ros-rolling-pilz-industrial-motion-planner-testutils <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-testing <!nocheck>, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-eigen3-cmake-module, ros-rolling-generate-parameter-library, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-orocos-kdl-vendor, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-eigen-kdl, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-kdl, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
